Subject: libtool 2.4.2 - 6 of 111 tests failed

From: Dennis Clarke <[email-masked]>
Date: Sun, 12 Aug 2012 08:06:13 +0000 (GMT)

$ ./configure 
## ------------------------- ##
## Configuring libtool 2.4.2 ##
## ------------------------- ##

checking for a BSD-compatible install... libltdl/config/install-sh -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... libltdl/config/install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking build system type... sparc-sun-solaris2.10
checking host system type... sparc-sun-solaris2.10
configure: autobuild project... GNU Libtool
configure: autobuild revision... 2.4.2 ()
configure: autobuild hostname... node002
configure: autobuild mode... default
configure: autobuild timestamp... 20120812T074716Z
checking for gcc... /opt/SUNWspro/bin/cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether /opt/SUNWspro/bin/cc accepts -g... yes
checking for /opt/SUNWspro/bin/cc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of /opt/SUNWspro/bin/cc... none
checking whether /opt/SUNWspro/bin/cc and cc understand -c and -o together... yes
checking how to run the C preprocessor... /opt/SUNWspro/bin/cc -E
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/local/bin/gsed
checking for grep that handles long lines and -e... /usr/xpg4/bin/grep
checking for egrep... /usr/xpg4/bin/grep -E
checking for fgrep... /usr/xpg4/bin/grep -F
checking for non-GNU ld... /usr/ccs/bin/ld
checking if the linker (/usr/ccs/bin/ld) is GNU ld... no
checking for BSD- or MS-compatible name lister (nm)... /usr/xpg4/bin/nm -p
checking the name lister (/usr/xpg4/bin/nm -p) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 786240
checking whether the shell understands some XSI constructs... no
checking whether the shell understands "+="... no
checking how to convert sparc-sun-solaris2.10 file names to sparc-sun-solaris2.10 format... func_convert_file_noop
checking how to convert sparc-sun-solaris2.10 file names to toolchain format... func_convert_file_noop
checking for /usr/ccs/bin/ld option to reload object files... -r
checking for objdump... no
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... no
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/xpg4/bin/nm -p output from /opt/SUNWspro/bin/cc object... ok
checking for sysroot... no
checking for mt... mt
checking if mt is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking for /opt/SUNWspro/bin/cc option to produce PIC... -KPIC -DPIC
checking if /opt/SUNWspro/bin/cc PIC flag -KPIC -DPIC works... yes
checking if /opt/SUNWspro/bin/cc static flag -Bstatic works... no
checking if /opt/SUNWspro/bin/cc supports -c -o file.o... yes
checking if /opt/SUNWspro/bin/cc supports -c -o file.o... (cached) yes
checking whether the /opt/SUNWspro/bin/cc linker (/usr/ccs/bin/ld -64) supports shared libraries... yes
checking dynamic linker characteristics... solaris2.10 ld.so
checking how to hardcode library paths into programs... immediate
checking for shl_load... no
checking for shl_load in -ldld... no
checking for dlopen... yes
checking whether a program can dlopen itself... yes
checking whether a statically linked program can dlopen itself... yes
checking whether stripping libraries is possible... no
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking which extension is used for runtime loadable modules... .so
checking which variable specifies run-time module search path... LD_LIBRARY_PATH
checking for the default library search path... /lib /usr/lib
checking for library containing dlopen... none required
checking for dlerror... yes
checking for shl_load... (cached) no
checking for shl_load in -ldld... (cached) no
checking for dld_link in -ldld... no
checking for _ prefix in compiled symbols... no
checking whether deplibs are loaded by dlopen... yes
checking for argz.h... no
checking for error_t... no
checking for argz_add... no
checking for argz_append... no
checking for argz_count... no
checking for argz_create_sep... no
checking for argz_insert... no
checking for argz_next... no
checking for argz_stringify... no
checking whether libtool supports -dlopen/-dlpreopen... yes
checking for unistd.h... (cached) yes
checking for dl.h... no
checking for sys/dl.h... yes
checking for dld.h... no
checking for mach-o/dyld.h... no
checking for dirent.h... yes
checking for closedir... yes
checking for opendir... yes
checking for readdir... yes
checking for strlcat... yes
checking for strlcpy... yes
checking whether we are using the GNU C++ compiler... no
checking whether /opt/SUNWspro/bin/CC accepts -g... yes
checking dependency style of /opt/SUNWspro/bin/CC... none
checking how to run the C++ preprocessor... /opt/SUNWspro/bin/CC -E
checking whether the /opt/SUNWspro/bin/CC linker (/usr/ccs/bin/ld -64) supports shared libraries... yes
checking for /opt/SUNWspro/bin/CC option to produce PIC... -KPIC -DPIC
checking if /opt/SUNWspro/bin/CC PIC flag -KPIC -DPIC works... yes
checking if /opt/SUNWspro/bin/CC static flag -Bstatic works... no
checking if /opt/SUNWspro/bin/CC supports -c -o file.o... yes
checking if /opt/SUNWspro/bin/CC supports -c -o file.o... (cached) yes
checking whether the /opt/SUNWspro/bin/CC linker (/usr/ccs/bin/ld -64) supports shared libraries... yes
checking dynamic linker characteristics... solaris2.10 ld.so
checking how to hardcode library paths into programs... immediate
checking for g77... no
checking for xlf... no
checking for f77... f77
checking whether we are using the GNU Fortran 77 compiler... no
checking whether f77 accepts -g... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for f77 option to produce PIC... -KPIC
checking if f77 PIC flag -KPIC works... yes
checking if f77 static flag -Bstatic works... yes
checking if f77 supports -c -o file.o... yes
checking if f77 supports -c -o file.o... (cached) yes
checking whether the f77 linker (/usr/ccs/bin/ld -64) supports shared libraries... yes
checking dynamic linker characteristics... solaris2.10 ld.so
checking how to hardcode library paths into programs... immediate
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... f95
checking whether we are using the GNU Fortran compiler... no
checking whether f95 accepts -g... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for f95 option to produce PIC... -KPIC
checking if f95 PIC flag -KPIC works... yes
checking if f95 static flag -Bstatic works... yes
checking if f95 supports -c -o file.o... yes
checking if f95 supports -c -o file.o... (cached) yes
checking whether the f95 linker (/usr/ccs/bin/ld -64) supports shared libraries... yes
checking dynamic linker characteristics... solaris2.10 ld.so
checking how to hardcode library paths into programs... immediate
checking for gccgo... no
checking for gcj... no
checking for windres... no
checking whether make supports order-only prerequisites... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing tests/atconfig commands
config.status: executing depfiles commands
config.status: executing libtool commands

$ gmake
rm -f libtoolize.tmp libtoolize
sed -e 's,@aclocal_DATA\@,m4/argz.m4 m4/libtool.m4 m4/ltdl.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4,g' -e 's,@aclocaldir\@,/usr/local/share/aclocal,g' -e 's,@datadir\@,/usr/local/share,g' -e 's,@EGREP\@,/usr/xpg4/bin/grep -E,g' -e 's,@FGREP\@,/usr/xpg4/bin/grep -F,g' -e 's,@GREP\@,/usr/xpg4/bin/grep,g' -e 's,@host_triplet\@,sparc-sun-solaris2.10,g' -e 's,@LN_S\@,ln -s,g' -e "s,@pkgconfig_files\@,config/compile config/config.guess config/config.sub config/depcomp config/install-sh config/missing config/ltmain.sh,g" -e 's,@pkgdatadir\@,/usr/local/share/libtool,g' -e "s,@pkgltdl_files\@,libltdl/COPYING.LIB libltdl/README libltdl/Makefile.inc libltdl/Makefile.am libltdl/configure.ac libltdl/aclocal.m4 libltdl/Makefile.in libltdl/config-h.in libltdl/configure libltdl/argz_.h libltdl/argz.c libltdl/loaders/dld_link.c libltdl/loaders/dlopen.c libltdl/loaders/dyld.c libltdl/loaders/load_add_on.c libltdl/loaders/loadlibrary.c libltdl/loaders/shl_load.c liblt
dl/lt__dirent.c libltdl/lt__strl.c libltdl/libltdl/lt__alloc.h libltdl/libltdl/lt__dirent.h libltdl/libltdl/lt__glibc.h libltdl/libltdl/lt__private.h libltdl/libltdl/lt__strl.h libltdl/libltdl/lt_dlloader.h libltdl/libltdl/lt_error.h libltdl/libltdl/lt_system.h libltdl/libltdl/slist.h libltdl/loaders/preopen.c libltdl/lt__alloc.c libltdl/lt_dlloader.c libltdl/lt_error.c libltdl/ltdl.c libltdl/ltdl.h libltdl/slist.c,g" -e 's,@prefix\@,/usr/local,g' -e 's,@SED\@,/usr/local/bin/gsed,g' \
        ./libtoolize.in > libtoolize.tmp
chmod a+x libtoolize.tmp
chmod a-w libtoolize.tmp
mv -f libtoolize.tmp libtoolize
/bin/bash /usr/local/build/libtool-2.4.2_sparcv9_001/libltdl/config/install-sh -d . libltdl/
cp ./libltdl/argz_.h libltdl/argz.h-t
mv libltdl/argz.h-t libltdl/argz.h
gmake  all-recursive
gmake[1]: Entering directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake[2]: Entering directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
source='libltdl/loaders/preopen.c' object='libltdl/loaders/libltdl_libltdl_la-preopen.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool  --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/loaders/libltdl_libltdl_la-preopen.lo `test -f 'libltdl/loaders/preopen.c' || echo './'`libltdl/loaders/preopen.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/loaders/preopen.c  -KPIC -DPIC -o libltdl/loaders/.libs/libltdl_libltdl_la-preopen.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/loaders/preopen.c -o libltdl/loaders/libltdl_libltdl_la-preopen.o >/dev/null 2>&1
source='libltdl/lt__alloc.c' object='libltdl/libltdl_libltdl_la-lt__alloc.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool  --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/libltdl_libltdl_la-lt__alloc.lo `test -f 'libltdl/lt__alloc.c' || echo './'`libltdl/lt__alloc.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/lt__alloc.c  -KPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-lt__alloc.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/lt__alloc.c -o libltdl/libltdl_libltdl_la-lt__alloc.o >/dev/null 2>&1
source='libltdl/lt_dlloader.c' object='libltdl/libltdl_libltdl_la-lt_dlloader.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool  --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/libltdl_libltdl_la-lt_dlloader.lo `test -f 'libltdl/lt_dlloader.c' || echo './'`libltdl/lt_dlloader.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/lt_dlloader.c  -KPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-lt_dlloader.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/lt_dlloader.c -o libltdl/libltdl_libltdl_la-lt_dlloader.o >/dev/null 2>&1
source='libltdl/lt_error.c' object='libltdl/libltdl_libltdl_la-lt_error.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool  --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/libltdl_libltdl_la-lt_error.lo `test -f 'libltdl/lt_error.c' || echo './'`libltdl/lt_error.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/lt_error.c  -KPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-lt_error.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/lt_error.c -o libltdl/libltdl_libltdl_la-lt_error.o >/dev/null 2>&1
source='libltdl/ltdl.c' object='libltdl/libltdl_libltdl_la-ltdl.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool  --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/libltdl_libltdl_la-ltdl.lo `test -f 'libltdl/ltdl.c' || echo './'`libltdl/ltdl.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/ltdl.c  -KPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-ltdl.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/ltdl.c -o libltdl/libltdl_libltdl_la-ltdl.o >/dev/null 2>&1
source='libltdl/slist.c' object='libltdl/libltdl_libltdl_la-slist.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool  --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/libltdl_libltdl_la-slist.lo `test -f 'libltdl/slist.c' || echo './'`libltdl/slist.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/slist.c  -KPIC -DPIC -o libltdl/.libs/libltdl_libltdl_la-slist.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -DLTDLOPEN=libltdl "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/slist.c -o libltdl/libltdl_libltdl_la-slist.o >/dev/null 2>&1
source='libltdl/loaders/dlopen.c' object='libltdl/loaders/dlopen.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/loaders/dlopen.lo libltdl/loaders/dlopen.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/loaders/dlopen.c  -KPIC -DPIC -o libltdl/loaders/.libs/dlopen.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/loaders/dlopen.c -o libltdl/loaders/dlopen.o >/dev/null 2>&1
/bin/bash ./libtool --tag=CC   --mode=link /opt/SUNWspro/bin/cc  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -module -avoid-version  -o libltdl/dlopen.la  libltdl/loaders/dlopen.lo  
libtool: link: ar cru libltdl/.libs/dlopen.a libltdl/loaders/.libs/dlopen.o 
libtool: link: ranlib libltdl/.libs/dlopen.a
libtool: link: ( cd "libltdl/.libs" && rm -f "dlopen.la" && ln -s "../dlopen.la" "dlopen.la" )
source='libltdl/argz.c' object='libltdl/argz.lo' libtool=yes \
DEPDIR=.deps depmode=none /bin/bash ./libltdl/config/depcomp \
/bin/bash ./libtool --tag=CC   --mode=compile /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I.  -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c -o libltdl/argz.lo libltdl/argz.c
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/argz.c  -KPIC -DPIC -o libltdl/.libs/argz.o
libtool: compile:  /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. "-DLT_CONFIG_H=<config.h>" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl/libltdl -I/usr/local/include -I/usr/local/include/readline -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c libltdl/argz.c -o libltdl/argz.o >/dev/null 2>&1
/bin/bash ./libtool --tag=CC   --mode=link /opt/SUNWspro/bin/cc  -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy  -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -no-undefined -version-info 10:0:3 -dlpreopen libltdl/dlopen.la   -o libltdl/libltdl.la -rpath /usr/local/lib libltdl/loaders/libltdl_libltdl_la-preopen.lo libltdl/libltdl_libltdl_la-lt__alloc.lo libltdl/libltdl_libltdl_la-lt_dlloader.lo libltdl/libltdl_libltdl_la-lt_error.lo libltdl/libltdl_libltdl_la-ltdl.lo libltdl/libltdl_libltdl_la-slist.lo libltdl/argz.lo 
libtool: link: rm -f libltdl/.libs/libltdl.nm libltdl/.libs/libltdl.nmS libltdl/.libs/libltdl.nmT
libtool: link: (cd libltdl/.libs && /opt/SUNWspro/bin/cc -erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -D_TS_ERRNO -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE -c  -KPIC -DPIC "libltdlS.c")
libtool: link: rm -f "libltdl/.libs/libltdlS.c" "libltdl/.libs/libltdl.nm" "libltdl/.libs/libltdl.nmS" "libltdl/.libs/libltdl.nmT"
libtool: link: (cd libltdl/.libs/libltdl.lax/dlopen.a && ar x "/usr/local/build/libtool-2.4.2_sparcv9_001/libltdl/.libs/dlopen.a")
libtool: link: /opt/SUNWspro/bin/cc -G -z defs -h libltdl.so.7 -o libltdl/.libs/libltdl.so.7.3.0  libltdl/loaders/.libs/libltdl_libltdl_la-preopen.o libltdl/.libs/libltdl_libltdl_la-lt__alloc.o libltdl/.libs/libltdl_libltdl_la-lt_dlloader.o libltdl/.libs/libltdl_libltdl_la-lt_error.o libltdl/.libs/libltdl_libltdl_la-ltdl.o libltdl/.libs/libltdl_libltdl_la-slist.o libltdl/.libs/argz.o libltdl/.libs/libltdlS.o  libltdl/.libs/libltdl.lax/dlopen.a/dlopen.o   -lc  -m64 -mc  
ld: warning: option -Q appears more than once, first setting taken
libtool: link: (cd "libltdl/.libs" && rm -f "libltdl.so.7" && ln -s "libltdl.so.7.3.0" "libltdl.so.7")
libtool: link: (cd "libltdl/.libs" && rm -f "libltdl.so" && ln -s "libltdl.so.7.3.0" "libltdl.so")
libtool: link: (cd libltdl/.libs/libltdl.lax/lt1-dlopen.a && ar x "/usr/local/build/libtool-2.4.2_sparcv9_001/libltdl/.libs/dlopen.a")
libtool: link: ar cru libltdl/.libs/libltdl.a  libltdl/loaders/libltdl_libltdl_la-preopen.o libltdl/libltdl_libltdl_la-lt__alloc.o libltdl/libltdl_libltdl_la-lt_dlloader.o libltdl/libltdl_libltdl_la-lt_error.o libltdl/libltdl_libltdl_la-ltdl.o libltdl/libltdl_libltdl_la-slist.o libltdl/argz.o libltdl/.libs/libltdlS.o  libltdl/.libs/libltdl.lax/lt1-dlopen.a/dlopen.o 
libtool: link: ranlib libltdl/.libs/libltdl.a
libtool: link: rm -fr libltdl/.libs/libltdl.lax libltdl/.libs/libltdl.lax
libtool: link: ( cd "libltdl/.libs" && rm -f "libltdl.la" && ln -s "../libltdl.la" "libltdl.la" )
gmake[2]: Leaving directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake[1]: Leaving directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
$ 
$ 
$ gmake check 
gmake  check-recursive
gmake[1]: Entering directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
rm -f tests/defs.tmp tests/defs; \
sed -e 's,@aclocal_DATA\@,m4/argz.m4 m4/libtool.m4 m4/ltdl.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4,g' -e 's,@aclocaldir\@,/usr/local/share/aclocal,g' -e 's,@datadir\@,/usr/local/share,g' -e 's,@EGREP\@,/usr/xpg4/bin/grep -E,g' -e 's,@FGREP\@,/usr/xpg4/bin/grep -F,g' -e 's,@GREP\@,/usr/xpg4/bin/grep,g' -e 's,@host_triplet\@,sparc-sun-solaris2.10,g' -e 's,@LN_S\@,ln -s,g' -e "s,@pkgconfig_files\@,config/compile config/config.guess config/config.sub config/depcomp config/install-sh config/missing config/ltmain.sh,g" -e 's,@pkgdatadir\@,/usr/local/share/libtool,g' -e "s,@pkgltdl_files\@,libltdl/COPYING.LIB libltdl/README libltdl/Makefile.inc libltdl/Makefile.am libltdl/configure.ac libltdl/aclocal.m4 libltdl/Makefile.in libltdl/config-h.in libltdl/configure libltdl/argz_.h libltdl/argz.c libltdl/loaders/dld_link.c libltdl/loaders/dlopen.c libltdl/loaders/dyld.c libltdl/loaders/load_add_on.c libltdl/loaders/loadlibrary.c libltdl/loaders/shl_load.c liblt
dl/lt__dirent.c libltdl/lt__strl.c libltdl/libltdl/lt__alloc.h libltdl/libltdl/lt__dirent.h libltdl/libltdl/lt__glibc.h libltdl/libltdl/lt__private.h libltdl/libltdl/lt__strl.h libltdl/libltdl/lt_dlloader.h libltdl/libltdl/lt_error.h libltdl/libltdl/lt_system.h libltdl/libltdl/slist.h libltdl/loaders/preopen.c libltdl/lt__alloc.c libltdl/lt_dlloader.c libltdl/lt_error.c libltdl/ltdl.c libltdl/ltdl.h libltdl/slist.c,g" -e 's,@prefix\@,/usr/local,g' -e 's,@SED\@,/usr/local/bin/gsed,g' ./tests/defs.in > tests/defs.tmp; \
mv -f tests/defs.tmp tests/defs
gmake[2]: Entering directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake  check-TESTS check-local
gmake[3]: Entering directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake[4]: Entering directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
PASS: tests/link.test
PASS: tests/link-2.test
PASS: tests/nomode.test
PASS: tests/objectlist.test
PASS: tests/quote.test
PASS: tests/sh.test
PASS: tests/suffix.test
PASS: tests/tagtrace.test
PASS: tests/cdemo-static.test
PASS: tests/cdemo-static-make.test
PASS: tests/cdemo-static-exec.test
PASS: tests/demo-static.test
PASS: tests/demo-static-make.test
PASS: tests/demo-static-exec.test
PASS: tests/demo-static-inst.test
PASS: tests/demo-static-unst.test
PASS: tests/depdemo-static.test
PASS: tests/depdemo-static-make.test
PASS: tests/depdemo-static-exec.test
PASS: tests/depdemo-static-inst.test
PASS: tests/depdemo-static-unst.test
PASS: tests/mdemo-static.test
PASS: tests/mdemo-static-make.test
PASS: tests/mdemo-static-exec.test
PASS: tests/mdemo-static-inst.test
PASS: tests/mdemo-static-unst.test
PASS: tests/cdemo-conf.test
PASS: tests/cdemo-make.test
PASS: tests/cdemo-exec.test
PASS: tests/demo-conf.test
PASS: tests/demo-make.test
PASS: tests/demo-exec.test
PASS: tests/demo-inst.test
PASS: tests/demo-unst.test
PASS: tests/demo-deplibs.test
PASS: tests/depdemo-conf.test
PASS: tests/depdemo-make.test
PASS: tests/depdemo-exec.test
PASS: tests/depdemo-inst.test
PASS: tests/depdemo-unst.test
PASS: tests/mdemo-conf.test
PASS: tests/mdemo-make.test
PASS: tests/mdemo-exec.test
PASS: tests/mdemo-inst.test
PASS: tests/mdemo-unst.test
PASS: tests/mdemo-dryrun.test
PASS: tests/mdemo2-conf.test
PASS: tests/mdemo2-make.test
PASS: tests/mdemo2-exec.test
PASS: tests/pdemo-conf.test
PASS: tests/pdemo-make.test
PASS: tests/pdemo-exec.test
PASS: tests/pdemo-inst.test
PASS: tests/demo-nofast.test
PASS: tests/demo-nofast-make.test
PASS: tests/demo-nofast-exec.test
PASS: tests/demo-nofast-inst.test
PASS: tests/demo-nofast-unst.test
PASS: tests/depdemo-nofast.test
PASS: tests/depdemo-nofast-make.test
PASS: tests/depdemo-nofast-exec.test
PASS: tests/depdemo-nofast-inst.test
PASS: tests/depdemo-nofast-unst.test
PASS: tests/demo-pic.test
PASS: tests/demo-pic-make.test
PASS: tests/demo-pic-exec.test
SKIP: tests/demo-nopic.test
PASS: tests/demo-nopic-make.test
PASS: tests/demo-nopic-exec.test
PASS: tests/cdemo-shared.test
PASS: tests/cdemo-shared-make.test
PASS: tests/cdemo-shared-exec.test
PASS: tests/mdemo-shared.test
PASS: tests/mdemo-shared-make.test
PASS: tests/mdemo-shared-exec.test
PASS: tests/mdemo-shared-inst.test
PASS: tests/mdemo-shared-unst.test
PASS: tests/cdemo-undef.test
PASS: tests/cdemo-undef-make.test
PASS: tests/cdemo-undef-exec.test
PASS: tests/tagdemo-static.test
PASS: tests/tagdemo-static-make.test
PASS: tests/tagdemo-static-exec.test
PASS: tests/tagdemo-conf.test
PASS: tests/tagdemo-make.test
PASS: tests/tagdemo-exec.test
PASS: tests/tagdemo-shared.test
PASS: tests/tagdemo-shared-make.test
PASS: tests/tagdemo-shared-exec.test
PASS: tests/tagdemo-undef.test
PASS: tests/tagdemo-undef-make.test
PASS: tests/tagdemo-undef-exec.test
FAIL: tests/fcdemo-static.test
SKIP: tests/fcdemo-static-make.test
SKIP: tests/fcdemo-static-exec.test
FAIL: tests/fcdemo-conf.test
SKIP: tests/fcdemo-make.test
SKIP: tests/fcdemo-exec.test
FAIL: tests/fcdemo-shared.test
SKIP: tests/fcdemo-shared-make.test
SKIP: tests/fcdemo-shared-exec.test
PASS: tests/demo-shared.test
PASS: tests/demo-shared-make.test
PASS: tests/demo-shared-exec.test
PASS: tests/demo-shared-inst.test
PASS: tests/demo-hardcode.test
PASS: tests/demo-relink.test
PASS: tests/demo-noinst-link.test
PASS: tests/demo-shared-unst.test
PASS: tests/depdemo-shared.test
PASS: tests/depdemo-shared-make.test
PASS: tests/depdemo-shared-exec.test
PASS: tests/depdemo-shared-inst.test
PASS: tests/depdemo-relink.test
PASS: tests/depdemo-shared-unst.test
FAIL: tests/f77demo-static.test
SKIP: tests/f77demo-static-make.test
SKIP: tests/f77demo-static-exec.test
FAIL: tests/f77demo-conf.test
SKIP: tests/f77demo-make.test
SKIP: tests/f77demo-exec.test
FAIL: tests/f77demo-shared.test
SKIP: tests/f77demo-shared-make.test
SKIP: tests/f77demo-shared-exec.test
\c
====================================
6 of 111 tests failed
(13 tests were not run)
See ./test-suite.log
Please report to [email-masked]
====================================
\c
gmake[4]: *** [test-suite.log] Error 1
gmake[4]: Leaving directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake[3]: *** [check-TESTS] Error 2
gmake[3]: Leaving directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake[2]: *** [check-am] Error 2
gmake[2]: Leaving directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake[1]: *** [check-recursive] Error 1
gmake[1]: Leaving directory `/usr/local/build/libtool-2.4.2_sparcv9_001'
gmake: *** [check] Error 2
$